clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol = [
128.2
128.3875
128.575
128.7625
128.95
129.1375
129.325
129.5125
129.7
129.8875
130.075
130.2625
130.45
130.6375
130.825
131.0125
131.2   
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000770052	0.000831935	0.00091084	0.00101396	0.00115327	0.00135023	0.00164766;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000770735	0.000832726	0.000911764	0.00101505	0.00115458	0.00135184	0.00164971;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000771418	0.000833517	0.000912688	0.00101615	0.00115589	0.00135345	0.00165177;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000772102	0.000834309	0.000913612	0.00101724	0.0011572	0.00135507	0.00165383;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000772786	0.000835101	0.000914536	0.00101833	0.00115851	0.00135668	0.00165588;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.00077347	0.000835892	0.00091546	0.00101942	0.00115982	0.00135829	0.00165794;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000774155	0.000836685	0.000916385	0.00102051	0.00116113	0.0013599	0.00166;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.00077484	0.000837477	0.00091731	0.0010216	0.00116244	0.00136151	0.00166206;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000775524	0.00083827	0.000918234	0.00102269	0.00116375	0.00136312	0.00166411;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000776209	0.000839063	0.000919159	0.00102379	0.00116506	0.00136474	0.00166617;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000776895	0.000839856	0.000920084	0.00102488	0.00116637	0.00136635	0.00166823;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000777579	0.000840648	0.00092101	0.00102597	0.00116768	0.00136796	0.00167029;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000778265	0.000841442	0.000921934	0.00102706	0.00116899	0.00136957	0.00167234;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000778952	0.000842236	0.00092286	0.00102815	0.00117031	0.00137119	0.0016744;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000779638	0.000843029	0.000923786	0.00102925	0.00117162	0.0013728	0.00167646;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000780324	0.000843823	0.000924712	0.00103034	0.00117293	0.00137441	0.00167852;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.00078101	0.000844617	0.000925638	0.00103143	0.00117424	0.00137602	0.00168058];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','s',...
    'MarkerEdgeColor','[0.8500 0.3250 0.0980]',...
    'MarkerFaceColor','[0.8500 0.3250 0.0980]')

zlim([0.0006 0.00168058])
ylim([128.2E9 131.2E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([128.2E9 129.0E9 129.5E9 130.0E9 130.5E9 131.2E9])
zticks([0.000758602 0.00095 0.00115 0.00135 0.00155 0.00168058])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - noDoped-36Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_36AlDoped_strainenergy_LLZO_48e.eps
print -dpng Lowload_36AlDoped_strainenergy_LLZO_48e.png